package com.pcloud.book.group.dao;

import com.pcloud.book.group.entity.JoinGroupCipher;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface JoinGroupCipherDao extends BaseDao<JoinGroupCipher> {
    JoinGroupCipher getByWechatUserId(Long wechatUserId,Long classifyId);

    JoinGroupCipher getByCipher(String cipher);

    void updateCipherStateToUsed(String cipher, String wxId);

    List<Long> getClassifyIdsByWxIdAndAltId(String wxId, String altId);
}
